GET /api/v3/savings/adjustment/special/method

Get Special Adjustment Methods

GetSpecialAdjustmentMethodsV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

SpecialAdjustmentMethod
Property Description Type
electricOnly Indicates whether or not this method is for Electric meters only boolean
label Description of Special Adjustment method string
precision The precision on the Special Adjustment’s input value integer (int32)
specialAdjustmentMethodId Special Adjustment Method ID integer (int32)
symbol The symbol for the Special Adjustment’s input value string
Example Response application/json
[
  {    "electricOnly": false,    "label": "string",    "precision": 1,    "specialAdjustmentMethodId": 1,    "symbol": "string"
  }
]